#indices for columns in the brand data list
BRAND = 0
UNCLEAN = 1
SALES = 2
EXPENSES = 3


#average environmental cost of coal & natural gas energy per GWh
UNCLEAN_COST = 200000

#manipulable variable to see what's best/plausible
PERCENT_FULL_COST = 21


class CalculateCarbonCost:
	#constructor to initialize the brand data array
	def __init__(self, brand_data):
		self.__brand_data = brand_data
		self.__brand_array = self.__make_brand_array()

	#getters for variables
	def get_brand_data(self):
		return self.__brand_data
	def get_brand_array(self):
		return self.__brand_array
	def get_percent(self):
		return PERCENT_FULL_COST

	def __make_brand_array(self):
		brand_array = []
		for i in range(1, len(self.get_brand_data())):
			brand = self.get_brand_data()[i][BRAND]
			mdollars = self.__get_brand_cost(i) / 1000000
			sales = self.get_brand_data()[i][SALES]
			expenses = self.get_brand_data()[i][EXPENSES]
			row = [brand, int(sales), int(expenses), mdollars]
			brand_array.append(row)

		return brand_array

	def __get_brand_cost(self, brand_row):
		dollars_unclean = float(self.get_brand_data()[brand_row][UNCLEAN]
			) * UNCLEAN_COST * PERCENT_FULL_COST / 100

		return dollars_unclean
