import xlsxwriter
import os.path
from GetFileData import GetFileData
from CalculateCarbonCost import CalculateCarbonCost

class WriteFileData:
    def __init__(self):
        #get the data from the files
        self.brand_class = GetFileData()
        self.brand_class.get_data('BrandData.txt')
        self.brand_data = self.brand_class.get_data_array()
        self.carbon_cost = CalculateCarbonCost(
            self.brand_data)
        self.brand_cost = self.carbon_cost.get_brand_array()

    def write_data(self):
        file_name = 'carbonCost' +'-' + str(self.carbon_cost.get_percent()
            ) + '%.xlsx'

        workbook = xlsxwriter.Workbook(file_name)

        brand_worksheet = workbook.add_worksheet()
        brand_worksheet.write('A1', 'Brand')
        brand_worksheet.write('B1', 'Sales\n(M$/year)')
        brand_worksheet.write('C1', 'Expenses\n(M$/year)')
        brand_worksheet.write('D1', 'Environmental cost\n(M$/year)')
        for row, data in enumerate(self.brand_cost):
            brand_worksheet.write_row(row + 1, 0, data)

        workbook.close()

        print('data successfully written to ' + file_name)
